Skip to main content
POST
/
api
/
v1
/
workflows
/
workflows
/
{workflow_id}
/
execute
Execute Workflow
import requests

url = "https://www.datalab.to/api/v1/workflows/workflows/{workflow_id}/execute"

payload = {}
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Path Parameters

workflow_id
integer
required

Cookies

wos-session
string
access_token
string
datalab_active_team
string

Body

application/json

Request to execute a workflow.

input_config
Input Config · object

Response

Successful Response